<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__disc__char__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_disc_char_info_t</compoundname>
    <includes local="no">cy_ble_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__disc__char__info__t_1a07a17f1b10eaa40d013dbd1c7148aa43" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_disc_char_info_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>The connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="77" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="77" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__char__info__t_1a2df18533a78bf4b50267d5224a376473" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_disc_char_info_t::charDeclHandle</definition>
        <argsstring />
        <name>charDeclHandle</name>
        <briefdescription>
<para>Handle for Characteristic declaration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="78" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="78" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__char__info__t_1aef2d0c5d1b1a6ec394e96f515b3af72f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_disc_char_info_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for Value Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="79" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__char__info__t_1a0897455833893dd5b419eb6936263209" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_disc_char_info_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle to server database attribute value entry. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="80" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__char__info__t_1ad79b9ccc26c8f242ddeb01e953ab5c44" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="unioncy__ble__uuid__t">cy_ble_uuid_t</ref></type>
        <definition>cy_ble_uuid_t cy_stc_ble_disc_char_info_t::uuid</definition>
        <argsstring />
        <name>uuid</name>
        <briefdescription>
<para>Characteristic UUID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="81" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="81" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__char__info__t_1a483a3ee9fc83be2cab539418b35938f8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_disc_char_info_t::uuidFormat</definition>
        <argsstring />
        <name>uuidFormat</name>
        <briefdescription>
<para>UUID Format - 16-bit (0x01) or 128-bit (0x02) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="82" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Characteristic data received with read by type response during discovery process. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="420">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="418">
        <label>cy_ble_uuid_t</label>
        <link refid="unioncy__ble__uuid__t" />
        <childnode refid="419" relation="usage">
          <edgelabel>uuid128</edgelabel>
        </childnode>
      </node>
      <node id="417">
        <label>cy_stc_ble_disc_char_info_t</label>
        <link refid="structcy__stc__ble__disc__char__info__t" />
        <childnode refid="418" relation="usage">
          <edgelabel>uuid</edgelabel>
        </childnode>
        <childnode refid="420" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="419">
        <label>cy_stc_ble_uuid128_t</label>
        <link refid="structcy__stc__ble__uuid128__t" />
      </node>
    </collaborationgraph>
    <location bodyend="83" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="75" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="76" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__disc__char__info__t_1a2df18533a78bf4b50267d5224a376473" virt="non-virtual"><scope>cy_stc_ble_disc_char_info_t</scope><name>charDeclHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__char__info__t_1a07a17f1b10eaa40d013dbd1c7148aa43" virt="non-virtual"><scope>cy_stc_ble_disc_char_info_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__char__info__t_1aef2d0c5d1b1a6ec394e96f515b3af72f" virt="non-virtual"><scope>cy_stc_ble_disc_char_info_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__char__info__t_1ad79b9ccc26c8f242ddeb01e953ab5c44" virt="non-virtual"><scope>cy_stc_ble_disc_char_info_t</scope><name>uuid</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__char__info__t_1a483a3ee9fc83be2cab539418b35938f8" virt="non-virtual"><scope>cy_stc_ble_disc_char_info_t</scope><name>uuidFormat</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__char__info__t_1a0897455833893dd5b419eb6936263209" virt="non-virtual"><scope>cy_stc_ble_disc_char_info_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>